Supported Formats

JSON

GET https://api.dmarcreport.com/v1/domains
List of all Domains

Supported Formats

JSON

Errors

Code Description
401 Unauthorized
403 Forbidden
404 Not Found
500 Server crashed for some reason

Examples

{
    "domains": [
        {
            "id": 2593,
            "user_id": 1,
            "address": "123.com",
            "slug": "123-com",
            "rua_report": true,
            "ruf_report": true,
            "mta_sts_report": null,
            "dmarc_status": "dmarc_record_published",
            "mta_sts_status": "mta_sts_inactive",
            "parked_domain": false,
            "created_at": "2023-03-31T11:49:04.099Z",
            "updated_at": "2023-04-06T16:00:41.258Z",
            "tags": [
                {
                    "id": 1,
                    "name": "Production",
                    "color": "#3B82F6"
                }
            ],
            "dmarc_record": "v=DMARC1; p=quarantine; rua=mailto:rua@dmarcinput.com",
            "dmarc_record_errors": null,
            "spf_record": "v=spf1 include:_spf.google.com ~all"
        },
        {
            "id": 2503,
            "user_id": 1,
            "address": "sampledomain.com",
            "slug": "sampledomain-com",
            "rua_report": true,
            "ruf_report": true,
            "mta_sts_report": false,
            "dmarc_status": "dmarc_inactive",
            "mta_sts_status": "mta_sts_inactive",
            "parked_domain": true,
            "created_at": "2022-04-15T11:05:05.212Z",
            "updated_at": "2023-04-06T16:00:26.839Z",
            "tags": [],
            "dmarc_record": null,
            "dmarc_record_errors": null,
            "spf_record": null
        },
        {
            "id": 2596,
            "user_id": 1,
            "address": "dmarcreport.com",
            "slug": "dmarcreport-com",
            "rua_report": true,
            "ruf_report": true,
            "mta_sts_report": true,
            "dmarc_status": "dmarc_record_published",
            "mta_sts_status": "mta_sts_active",
            "parked_domain": false,
            "created_at": "2022-04-15T11:05:05.212Z",
            "updated_at": "2023-04-06T16:00:26.839Z",
            "tags": [
                {
                    "id": 2,
                    "name": "Client-A",
                    "color": "#10B981"
                },
                {
                    "id": 3,
                    "name": "Enterprise",
                    "color": "#F59E0B"
                }
            ],
            "dmarc_record": "v=DMARC1; p=reject; sp=reject; rua=mailto:rua@dmarcinput.com; ruf=mailto:ruf@dmarcinput.com",
            "dmarc_record_errors": null,
            "spf_record": "v=spf1 ip4:198.51.100.0/24 include:_spf.google.com -all"
        }
    ]
}

GET https://api.dmarcreport.com/v1/domains/:id
Get all the details of a Domain

Supported Formats

JSON

Errors

Code Description
401 Unauthorized
403 Forbidden
404 Not Found
500 Server crashed for some reason

Examples

{
  "id": 16,
  "user_id": 1,
  "address": "abc.com",
  "slug": "abc-com",
  "rua_report": true,
  "ruf_report": true,
  "mta_sts_report": true,
  "dmarc_status": "dmarc_active",
  "mta_sts_status": "mta_sts_active",
  "parked_domain": false,
  "hosted_dmarc": true,
  "hosted_mta_sts": true,
  "created_at": "2020-04-21T23:33:47.526Z",
  "updated_at": "2026-04-06T16:00:24.086Z",
  "tags": [
    {
      "id": 1,
      "name": "Production",
      "color": "#3B82F6"
    },
    {
      "id": 2,
      "name": "Client-A",
      "color": "#10B981"
    }
  ],
  "dmarc_record": "v=DMARC1; p=quarantine; sp=reject; pct=100; rua=mailto:rua@dmarcinput.com; ruf=mailto:ruf@dmarcinput.com; adkim=r; aspf=r; fo=0; rf=afrf; ri=86400",
  "dmarc_record_errors": null,
  "dmarc_record_parsed": {
    "policy": "quarantine",
    "subdomain_policy": "reject",
    "pct": "100",
    "rua": "mailto:rua@dmarcinput.com",
    "ruf": "mailto:ruf@dmarcinput.com",
    "adkim": "r",
    "aspf": "r",
    "fo": "0",
    "rf": "afrf",
    "ri": "86400",
    "np": null,
    "psd": null,
    "t": null,
    "updated_at": "2026-05-20T10:14:22.000Z"
  },
  "spf_record": "v=spf1 include:_spf.google.com include:mailgun.org ~all",
  "spf_tree": {
    "directive": "v=spf1",
    "includes": [
      { "host": "_spf.google.com", "directive": "include:_spf.google.com" },
      { "host": "mailgun.org", "directive": "include:mailgun.org" }
    ],
    "qualifier": "~all"
  },
  "spf_dns_queries": 6,
  "hosted_services": {
    "dmarc": {
      "enabled": true,
      "cname_status": "found",
      "cname_record": {
        "host": "_dmarc.abc.com",
        "value": "abc-com._d.dmarcinput.com",
        "type": "CNAME"
      }
    },
    "mta_sts": {
      "enabled": true,
      "policy_cname": {
        "status": "found",
        "host": "mta-sts.abc.com",
        "value": "abc-com.mta-sts.dmarcinput.com",
        "type": "CNAME"
      },
      "record_cname": {
        "status": "found",
        "host": "_mta-sts.abc.com",
        "value": "abc-com._m.dmarcinput.com",
        "type": "CNAME"
      },
      "tls_rpt_cname": {
        "status": "found",
        "host": "_smtp._tls.abc.com",
        "value": "abc-com._smtp_tls.dmarcinput.com",
        "type": "CNAME"
      }
    }
  }
}

POST https://api.dmarcreport.com/v1/domains.json
Add your domain

Supported Formats

JSON

Errors

Code Description
401 Unauthorized
403 Forbidden
404 Not Found
500 Server crashed for some reason

Params

Param name Description
account_id
optional

ID of account where you want to add domain

Validations:

  • Must be a Numeric

domain
required

Validations:

  • Must be a Hash

domain[address]
required

Address of your domain

Validations:

  • Must be a String

domain[rua_report]
required

Receives RUA Report against your domain

Validations:

  • Must be one of: true, false, true, false.

domain[ruf_report]
required

Receives RUF Report against your domain

Validations:

  • Must be one of: true, false, true, false.

domain[mta_sts_report]
optional

Receives MTA-STS Report against your domain

Validations:

  • Must be one of: true, false, true, false.

domain[tag_ids]
optional

Array of tag IDs to attach to the domain

Validations:

  • Must be an array of any type

domain[tag_names]
optional

Array of tag names to attach to the domain (must exist)

Validations:

  • Must be an array of any type